## mssdemux mssdemux |

## Properties

gfloat | bitrate-limit | Read / Write
guint | connection-speed | Read / Write
guint | max-queue-size-buffers | Read / Write

## Types and Values

struct | GstMssDemux

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBin
                        ╰── GstAdaptiveDemux
                            ╰── GstMssDemux

## Implemented Interfaces

GstMssDemux implements GstChildProxy.

## Description

Demuxes a Microsoft's Smooth Streaming manifest into its audio and/or video streams.

## Synopsis

### Element Information

plugin | smoothstreaming
author | Thiago Santos <thiago.sousa.santos@collabora.com>
class | Codec/Demuxer/Adaptive

### Element Pads

name | sink
direction | sink
presence | always
details | application/vnd.ms-sstr+xml

name | audio_%02u
direction | source
presence | sometimes
details | ANY

name | video_%02u
direction | source
presence | sometimes
details | ANY

## Functions

## Types and Values

### struct GstMssDemux

    struct GstMssDemux;

## Property Details

### The `“bitrate-limit”` property

      “bitrate-limit”            gfloat

Limit of the available bitrate to use when switching to alternates.

Flags: Read / Write

Allowed values: [0,1]

Default value: 0.8

### The `“connection-speed”` property

      “connection-speed”         guint

Network connection speed in kbps (0 = unknown).

Flags: Read / Write

Allowed values: <= 4294967

Default value: 0

### The `“max-queue-size-buffers”` property

      “max-queue-size-buffers”   guint

Maximum buffers that can be stored in each internal stream queue (0 = infinite) (deprecated).

Flags: Read / Write

Default value: 0